package com.ynet.life.action;

import com.Ostermiller.util.Base64;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.security.crypto.AESCrypto;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/AESAndBase64EncryptAction.class */
public class AESAndBase64EncryptAction extends LifeAction {
    private String keyValue;
    private String encryptValue;
    private String decryptValue;

    public String execute(Context context) throws GENEException {
        String keyValueTemp = (String) context.getDataValue(this.keyValue);
        String encryptValueTemp = (String) context.getDataValue(this.encryptValue);
        System.out.println("明文".concat(String.valueOf(encryptValueTemp)));
        try {
            String encryptData = AESCrypto.encrypt(keyValueTemp, encryptValueTemp);
            System.out.println("aes加密结果".concat(String.valueOf(encryptData)));
            String returnArray = Base64.encode(encryptData);
            System.out.println("base64加密结果".concat(String.valueOf(returnArray)));
            context.setDataValue(this.decryptValue, returnArray.trim());
            return "0";
        } catch (Exception unused) {
            throw new TranFailException("EB00053", "加密失败!");
        }
    }

    public String getKeyValue() {
        return this.keyValue;
    }

    public void setKeyValue(String keyValue) {
        this.keyValue = keyValue;
    }

    public String getEncryptValue() {
        return this.encryptValue;
    }

    public void setEncryptValue(String encryptValue) {
        this.encryptValue = encryptValue;
    }

    public String getDecryptValue() {
        return this.decryptValue;
    }

    public void setDecryptValue(String decryptValue) {
        this.decryptValue = decryptValue;
    }
}
